import { Color, ColorFunctionInput, Config, NonEmptyArray, Pattern, PatternCharacter } from "../types";
export default class ColorEffect {
    private _config;
    private _color;
    private _colorFunction;
    constructor(config: Config);
    get color(): "pattern" | Color;
    setColor(color: Color | Pattern, pattern: [] | NonEmptyArray<PatternCharacter>, message: string): void;
    calculate(input: ColorFunctionInput): string;
    private getColorFunction;
    private getFlash;
    private getGlow;
    private getPattern;
    private createPatternColors;
    private createRainbowColors;
    private createPatternBuckets;
}
