import { CanvasRenderingContext2D } from "canvas";
import { Config, ContextFillInput } from "../types";
export default class Context {
    private _config;
    private _context;
    constructor(config: Config, width?: number, height?: number);
    get context(): CanvasRenderingContext2D;
    initialize(): this;
    fill({ colorEffect, fragment, frame, index, x, y }: ContextFillInput): this;
    measureText(text: string): {
        ascent: number;
        height: number;
        width: number;
    };
}
