import { CanvasRenderingContext2D } from "canvas";
import { Config } from "../types";
export default class Encoder {
    private _config;
    constructor(config: Config);
    encode(contexts: CanvasRenderingContext2D[]): {
        data: Uint8Array;
        extension: "gif";
        framesCount: number;
        height: number;
        width: number;
    };
    private encodeGif;
}
