import wrap from "word-wrap";
import { Config } from "../types";
export default class Parser {
    private _config;
    private _wordWrapConfig;
    constructor(config: Config, wordWrapConfig: wrap.IOptions);
    parse(string: string): {
        message: string;
        color: "pattern" | import("../types").Color;
        motion: import("../types").Motion;
        pattern: [] | import("../types").NonEmptyArray<import("../types").PatternCharacter>;
    };
    private sanitizeMessage;
    private getEffectsString;
    private formatMessage;
    private getMessageEffects;
    private applyCapitalization;
}
