import { CanvasRenderingContext2D } from "canvas";
import { Config } from "../types";
import ColorEffect from "./ColorEffect";
import MotionEffect from "./MotionEffect";
export default class Renderer {
    private _config;
    private _measureContext;
    private _colorEffect;
    private _motionEffect;
    constructor(config: Config);
    setEffects(colorEffect: ColorEffect, motionEffect: MotionEffect): void;
    render(message: string): CanvasRenderingContext2D[];
    private renderFrame;
    private getContext;
    private getDimensions;
    private mergeContexts;
}
