import { Color, Motion, Pattern, RGB } from "../types";
declare const COLORS: string[];
declare const MOTIONS: string[];
declare const EFFECTS_MAP: any;
declare function isAnimated(color: Color | Pattern, motion: Motion): boolean;
declare function requiresProcessingPerLine(color: Color | Pattern, motion: Motion): boolean;
declare function requiresProcessingPerCharacter(color: Color | Pattern, motion: Motion): boolean;
declare const YELLOW: RGB;
declare const RED: RGB;
declare const GREEN: RGB;
declare const CYAN: RGB;
declare const PURPLE: RGB;
declare const WHITE: RGB;
declare const PATTERN_CHARACTER_TO_COLOR_MAP: {
    "0": RGB;
    "1": RGB;
    "2": RGB;
    "3": RGB;
    "4": RGB;
    "5": RGB;
    "6": RGB;
    "7": RGB;
    "8": RGB;
    "9": RGB;
    a: RGB;
    b: RGB;
    c: RGB;
    d: RGB;
    e: RGB;
    f: RGB;
    g: RGB;
    h: RGB;
    i: RGB;
    j: RGB;
    k: RGB;
    l: RGB;
    m: RGB;
    n: RGB;
    o: RGB;
    p: RGB;
    q: RGB;
    r: RGB;
    s: RGB;
    t: RGB;
    u: RGB;
    v: RGB;
    w: RGB;
    x: RGB;
    y: RGB;
    z: RGB;
};
declare const GLOW_1_RS3: RGB[];
declare const GLOW_2_RS3: RGB[];
declare const GLOW_3_RS3: RGB[];
declare const FLASH_1_RS3: RGB[];
declare const FLASH_2_RS3: RGB[];
declare const FLASH_3_RS3: RGB[];
declare const GLOW_1_OSRS: RGB[];
declare const GLOW_2_OSRS: RGB[];
declare const GLOW_3_OSRS: RGB[];
declare const FLASH_1_OSRS: RGB[];
declare const FLASH_2_OSRS: RGB[];
declare const FLASH_3_OSRS: RGB[];
export { COLORS, CYAN, EFFECTS_MAP, FLASH_1_OSRS, FLASH_1_RS3, FLASH_2_OSRS, FLASH_2_RS3, FLASH_3_OSRS, FLASH_3_RS3, GLOW_1_OSRS, GLOW_1_RS3, GLOW_2_OSRS, GLOW_2_RS3, GLOW_3_OSRS, GLOW_3_RS3, GREEN, isAnimated, MOTIONS, PATTERN_CHARACTER_TO_COLOR_MAP, PURPLE, RED, requiresProcessingPerCharacter, requiresProcessingPerLine, WHITE, YELLOW, };
