"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Logger {
    constructor(debug) {
        this._debug = debug;
    }
    time(description, callback) {
        if (!this._debug) {
            return callback();
        }
        console.time(description);
        const returnValue = callback();
        console.timeEnd(description);
        return returnValue;
    }
}
exports.default = Logger;
