import { Config, Coordinates, Motion, MotionFunctionInput } from "../types";
export default class MotionEffect {
    private _config;
    private _measureContext;
    private _motion;
    private _motionFunction;
    constructor(config: Config);
    get motion(): Motion;
    get motionFunction(): (input: MotionFunctionInput) => Coordinates;
    setMotion(motion: Motion): void;
    private getMotionFunction;
    private renderNone;
    private renderScroll;
    private renderSlide;
    private renderWave;
    private getSlideOsrs;
    private getSlideRs3;
    private getShake;
    private getWave;
    private getWave2;
}
